TransactionStats.Active (Oracle - Berkeley DB Java API)
Keywords: com.sleepycat.db.TransactionStats.Active class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.6.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class TransactionStats.Active

    java.lang.Object
      com.sleepycat.db.TransactionStats.Active

Enclosing class:
  TransactionStats

    public static class TransactionStats.Active

extends Object

The Active class represents an active transaction.

Method Summary
`LogSequenceNumber` | `getLsn()` The log sequence number of the transaction's first log record.
`int` | `getMultiversionRef()` The number of buffer copies created by this transaction that remain in cache.
`String` | `getName()` The transaction name, including the thread name if available.
`int` | `getParentId()` The transaction ID of the parent transaction (or 0, if no parent).
`int` | `getPid()` The process ID of the process that owns the transaction.
`LogSequenceNumber` | `getReadLsn()` The log sequence number of reads for snapshot transactions.
`int` | `getStatus()` The status of the transaction.
`int` | `getTxnId()` The transaction ID of the transaction.
`int` | `getXaStatus()` If the transaction is an XA transaction, the status of the transaction, otherwise 0.
`byte[]` | `getXId()` If the transaction is an XA transaction, the XA global transaction ID.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public String getName()

  The transaction name, including the thread name if available.

### getTxnId

    public int getTxnId()

  The transaction ID of the transaction.

### getParentId

    public int getParentId()

  The transaction ID of the parent transaction (or 0, if no parent).

### getPid

    public int getPid()

  The process ID of the process that owns the transaction.

### getLsn

    public LogSequenceNumber getLsn()

  The log sequence number of the transaction's first log record.

### getReadLsn

    public LogSequenceNumber getReadLsn()

  The log sequence number of reads for snapshot transactions.

### getMultiversionRef

    public int getMultiversionRef()

  The number of buffer copies created by this transaction that remain in cache.

### getStatus

    public int getStatus()

  The status of the transaction.

### getXaStatus

    public int getXaStatus()

  If the transaction is an XA transaction, the status of the transaction, otherwise 0.

### getXId

    public byte[] getXId()

  If the transaction is an XA transaction, the XA global transaction ID.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.6.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996,2007 Oracle. All rights reserved.